Page MenuHomePhabricator

[Story] Introduce basic language support
Closed, ResolvedPublic

Description

We would like to have basic language support, so at least auto completion, tool tips and query explanations are translated.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 11:27 AM

Change 283640 had a related patch set uploaded (by Jonas Kress (WMDE)):
Introduce language support with ULS

https://gerrit.wikimedia.org/r/283640

I am not sure if we should give a hint about what is actually translated, because it could be irritating that the UI stays in English.

Agreed with Lydia to show ULS when whole UI is translatable.

@Sylvain_WMFr you can switch to fr when this patch is deployed like this:

  • Goto query.wikidata.org
  • Replace URL with :
javascript:Cookies.set('lang','fr');

and press enter

  • Reload page

Change 284151 had a related patch set uploaded (by Jonas Kress (WMDE)):
Enable languages in Wikibase API

https://gerrit.wikimedia.org/r/284151

Jonas renamed this task from [Story] Introduce basic language support with ULS to [Story] Introduce basic language support .Apr 20 2016, 2:38 PM

Change 284151 merged by jenkins-bot:
Enable languages in Wikibase API

https://gerrit.wikimedia.org/r/284151

Jonas closed this task as Resolved.Apr 21 2016, 9:21 AM